Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,6 +1,4 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.txm.rcp;bundle-version="0.8.0"
 Export-Package: org.txm,
  org.txm.links.rcp.handlers
 Bundle-Vendor: Textometrie.org
@@ -9,4 +7,6 @@
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.links.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core
 
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 0)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 881)
@@ -0,0 +1,87 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.links.rcp.handlers;
+
+import java.util.List;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.utils.logger.Log;
+
+/**
+ * Base command to send a selection to a command that needs a query to compute the new result.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ * 
+ */
+public abstract class SendSelectionToMatchable extends BaseAbstractHandler {
+
+	
+
+	/**
+	 * Creates the queries.
+	 * This method is essentially dedicated to be overridden, if needed.
+	 * @param selection
+	 * @return
+	 */
+	public abstract List<Match> createMatches(ExecutionEvent event, IStructuredSelection selection);
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		if (selection != null) {
+			
+			List<Match> matches = this.createMatches(event, selection);
+			
+			if(matches.isEmpty()) {
+				Log.severe("No matches was set, command canceled.");
+				return null;
+			}
+			
+			// create local result node, store in some parameters and call the linked command
+			String uuid = TXMResult.createUUID();
+			TXMPreferences.put(uuid, TXMPreferences.PARENT_UUID, this.getResultParent(event).getUUID());
+			TXMPreferences.put(uuid, TXMPreferences.MATCHES, matches.toString());
+			
+			BaseAbstractHandler.executeSendToCommand(event.getCommand().getId(), uuid);
+		}
+		else	{
+			this.logCanNotCompute(selection);
+		}
+		return null;
+	}
+
+}

Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 0)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 881)
@@ -0,0 +1,44 @@
+package org.txm.internalview.rcp.handlers;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.eclipse.e4.ui.workbench.modeling.EModelService;
+import org.eclipse.ui.IWorkbenchPage;
+import org.txm.core.preferences.TBXPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.internalview.core.functions.InternalView;
+import org.txm.internalview.rcp.editors.InternalViewEditor;
+import org.txm.rcp.TXMWindows;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.utils.SWTEditorsUtils;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.WordProperty;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.utils.logger.Log;
+
+public class BackToInternalView {
+
+	public void doit(TXMEditor<? extends TXMResult> sourceEditor, Corpus corpus, Match match, List<WordProperty> props) {
+		// Last resort edition
+		try {
+			InternalView iview = new InternalView(corpus);
+			iview.setParameters(props, 
+					corpus.getStructuralUnit(TBXPreferences.DEFAULT_STRUCTURAL_UNIT),
+					new ArrayList<StructuralUnitProperty>(), null);
+
+			TXMResultEditorInput<InternalView> editorInput = new TXMResultEditorInput<InternalView>(iview);
+
+			IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
+
+			InternalViewEditor editor = (InternalViewEditor)page.openEditor(editorInput,InternalViewEditor.class.getName()); //$NON-NLS-1$
+			editor.backToText(match);
+			SWTEditorsUtils.addEditor(sourceEditor, editor, EModelService.ABOVE);
+		} catch (Exception e) {
+			System.err.println("Error: could not open InternalView editor: "+ e);
+			Log.printStackTrace(e);
+		}
+	}
+}

Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 880)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 881)
@@ -20,7 +20,6 @@
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.TableItem;
-import org.txm.concordance.core.functions.Line;
 import org.txm.core.results.Parameter;
 import org.txm.internalview.core.functions.InternalView;
 import org.txm.internalview.core.preferences.InternalViewPreferences;
@@ -349,8 +348,8 @@
 //		return null;
 //	}
 
-	public boolean backToText(Line line) {
-		Match m = line.getMatch();
+	public boolean backToText(Match m) {
+//		Match m = line.getMatch();
 		internalView.getCurrentPage();
 		int[] cpos= {m.getStart()};
 		int[] n;
@@ -363,7 +362,7 @@
 			n = CQPSearchEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
 			return goToPage(n[0]);
 		} catch (Exception e) {
-			System.out.println("Error while internal view go back to " + line);
+			System.out.println("Error while internal view go back to " + m);
 			Log.printStackTrace(e);
 		} 
 		return false;
Index: tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.internalview.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,9 +1,6 @@
 Manifest-Version: 1.0
 Require-Bundle: org.txm.internalview.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
- org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.osgi;visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+ org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.internalview.rcp.adapters,org.txm.internalview
  .rcp.editors,org.txm.internalview.rcp.handlers,org.txm.internalview.r
  cp.messages
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,22 +1,8 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;visibility:=reexport,
- org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
- org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.eclipse.e4.ui.workbench;bundle-version="1.2.2";visibility:=reexport,
- org.txm.concordance.rcp;visibility:=reexport,
- org.txm.edition.rcp;visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.progression.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.ui.workbench;visibility:=reexport,
- org.eclipse.swt;visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
- org.txm.rcp;visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+ org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.edition.rcp;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.progression.rcp.adapters,org.txm.progression.r
  cp.chartsengine.events,org.txm.progression.rcp.editors,org.txm.progre
  ssion.rcp.handlers,org.txm.progression.rcp.messages,org.txm.progressi
Index: tmp/org.txm.partition.core/.classpath
===================================================================
--- tmp/org.txm.partition.core/.classpath	(revision 880)
+++ tmp/org.txm.partition.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.partition.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.partition.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,13 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,or
- g.txm.chartsengine.core;visibility:=reexport,org.txm.searchengine.cqp
- .core;bundle-version="1.1.0";visibility:=reexport,org.txm.core;bundle
- -version="0.7.0";visibility:=reexport,org.txm.chartsengine.jfreechart
- .core;bundle-version="1.0.0";visibility:=reexport,org.txm.chartsengin
- e.r.core;bundle-version="1.0.0";visibility:=reexport,org.txm.lexicalt
- able.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.lexicaltable.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.partition.core.chartsengine.base,org.txm.parti
  tion.core.chartsengine.jfreechart,org.txm.partition.core.chartsengine
  .r,org.txm.partition.core.functions,org.txm.partition.core.messages,o
Index: tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,17 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0";visib
- ility:=reexport,org.eclipse.core.runtime;bundle-version="3.10.0";visi
- bility:=reexport,org.eclipse.ui;bundle-version="3.106.1";visibility:=
- reexport,org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:
- =reexport,org.txm.cooccurrence.rcp;bundle-version="1.0.0";visibility:
- =reexport,org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibi
- lity:=reexport,org.eclipse.e4.ui.workbench;bundle-version="1.2.2";vis
- ibility:=reexport,org.txm.concordance.core;visibility:=reexport,org.t
- xm.utils;bundle-version="1.0.0";visibility:=reexport,org.txm.core;vis
- ibility:=reexport,org.txm.rcp;visibility:=reexport,org.eclipse.core.e
- xpressions;bundle-version="3.4.600";visibility:=reexport,org.txm.inte
- rnalview.core;bundle-version="1.0.0";visibility:=reexport,org.txm.int
- ernalview.rcp;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.concordance.rcp.actions,org.txm.concordance.rc
  p.adapters,org.txm.concordance.rcp.editors,org.txm.concordance.rcp.ha
  ndlers,org.txm.concordance.rcp.messages,org.txm.concordance.rcp.prefe
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 880)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 881)
@@ -111,13 +111,10 @@
 import org.txm.concordance.rcp.handlers.DeleteLines;
 import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
-import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
-import org.txm.internalview.core.functions.InternalView;
-import org.txm.internalview.rcp.editors.InternalViewEditor;
 import org.txm.objects.Page;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.JobsTimer;
@@ -704,7 +701,7 @@
 			concordance.resetLines();
 
 			try {
-				Log.info(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_0, currentComparator.getName()));
+				Log.info("Sorting with "+currentComparator.getName());
 				if (currentComparator instanceof CompositeComparator)
 					Log.info(((CompositeComparator) currentComparator).getComparators().toString());
 				JobHandler jobhandler = new JobHandler("Sorting...") { //$NON-NLS-1$
@@ -1899,26 +1896,6 @@
 			e1.printStackTrace();
 		}
 
-		// Last resort edition
-		try {
-			InternalView iview = new InternalView(concordance.getCorpus());
-			iview.setParameters(concordance.getKeywordAnalysisProperties(), 
-					concordance.getCorpus().getStructuralUnit(TBXPreferences.DEFAULT_STRUCTURAL_UNIT),
-					new ArrayList<StructuralUnitProperty>(), null);
-
-			TXMResultEditorInput editorInput = new TXMResultEditorInput(iview);
-
-			IWorkbenchPage page = TXMWindows.getActiveWindow().getActivePage();
-
-			StatusLine.setMessage(ConcordanceUIMessages.ComputeReferencer_0);
-			InternalViewEditor editor = (InternalViewEditor)page.openEditor(editorInput,InternalViewEditor.class.getName()); //$NON-NLS-1$
-			editor.backToText(line);
-			SWTEditorsUtils.addEditor(this, editor, EModelService.ABOVE);
-		} catch (Exception e) {
-			System.err.println("Error: could not open InternalView editor: "+ e);
-			Log.printStackTrace(e);
-		}
-
 		return false;
 
 		//		try {
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 880)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 881)
@@ -192,7 +192,7 @@
 
 
 	@Override
-	public boolean getState() {
+	public boolean isRunning() {
 		return started;
 	}
 
Index: tmp/org.txm.statsengine.r.core/.classpath
===================================================================
--- tmp/org.txm.statsengine.r.core/.classpath	(revision 880)
+++ tmp/org.txm.statsengine.r.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,10 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0";visibi
- lity:=reexport,org.txm.core;bundle-version="0.7.0";visibility:=reexpo
- rt,org.txm.libs.rserve;bundle-version="0.0.0";visibility:=reexport,or
- g.txm.utils;bundle-version="1.0.0";visibility:=reexport,org.eclipse.o
- sgi;visibility:=reexport,org.eclipse.core.runtime;visibility:=reexpor
- t,org.txm.libs.colt;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.libs.rserve;bundle-version="0.0.0";visibility:=reexport
 Export-Package: org.txm.statsengine.r.core,org.txm.statsengine.r.core.
  data,org.txm.statsengine.r.core.exceptions,org.txm.statsengine.r.core
  .messages,org.txm.statsengine.r.core.preferences,org.txm.statsengine.
Index: tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -2,19 +2,9 @@
 Export-Package: org.txm.cooccurrence.rcp.adapters,org.txm.cooccurrence
  .rcp.editors,org.txm.cooccurrence.rcp.handlers,org.txm.cooccurrence.r
  cp.messages,org.txm.cooccurrence.rcp.preferences
-Require-Bundle: org.txm.utils;visibility:=reexport,
- org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
- org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
- org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.concordance.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
- org.txm.core;visibility:=reexport,
- org.txm.rcp;visibility:=reexport,
- org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
- org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.links.rcp;bundle-version="1.0.0"
+Require-Bundle: org.txm.statsengine.r.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Cooccurence RCP
Index: tmp/org.txm.information.core/.classpath
===================================================================
--- tmp/org.txm.information.core/.classpath	(revision 880)
+++ tmp/org.txm.information.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.information.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.information.core/META-INF/MANIFEST.MF	(revision 881)
@@ -3,9 +3,7 @@
  org.txm.properties.core.functions,
  org.txm.properties.core.messages,
  org.txm.properties.core.preferences
-Require-Bundle: org.txm.utils;visibility:=reexport,org.txm.core;bundle
- -version="0.8.0";visibility:=reexport,org.txm.searchengine.cqp.core;b
- undle-version="1.1.0";visibility:=reexport
+Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Information Core
Index: tmp/org.txm.progression.core/.classpath
===================================================================
--- tmp/org.txm.progression.core/.classpath	(revision 880)
+++ tmp/org.txm.progression.core/.classpath	(revision 881)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.progression.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.progression.core/META-INF/MANIFEST.MF	(revision 881)
@@ -1,14 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexp
- ort,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=ree
- xport,org.txm.chartsengine.core;visibility:=reexport,org.eclipse.core
- .runtime;visibility:=reexport,org.txm.core;bundle-version="0.7.0";vis
- ibility:=reexport,org.txm.chartsengine.jfreechart.core;bundle-version
- ="1.0.0";visibility:=reexport,org.txm.chartsengine.r.core;bundle-vers
- ion="1.0.0";visibility:=reexport,org.txm.searchengine.core;bundle-ver
- sion="1.0.0";visibility:=reexport,org.txm.searchengine.cqp.core;bundl
- e-version="1.1.0";visibility:=reexport
+Require-Bundle: org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Export-Package: org.txm.progression.core,
  org.txm.progression.core.chartsengine.base,
  org.txm.progression.core.chartsengine.jfreechart,
Index: tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 881)
@@ -3,7 +3,7 @@
 Bundle-Name: org.txm.libs.cqp.macosx
 Bundle-SymbolicName: org.txm.libs.cqp.macosx
 Bundle-Version: 1.1.0.qualifier
-Fragment-Host: org.txm.libs.cqp;bundle-version="1.0.0.qualifier"
+Fragment-Host: org.txm.libs.cqp
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-Vendor: Textometrie.org
 Eclipse-PlatformFilter: (osgi.os=macosx)
Index: tmp/org.txm.libs.cqp.macosx/.project
===================================================================
--- tmp/org.txm.libs.cqp.macosx/.project	(revision 880)
+++ tmp/org.txm.libs.cqp.macosx/.project	(revision 881)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>CQP.macosx</name>
+	<name>org.txm.libs.cqp.macosx</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 880)
+++ tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 881)
@@ -1,19 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;bundle-version="1.0.0";visibility:=reexp
- ort,org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,org
- .eclipse.ui;bundle-version="3.106.1";visibility:=reexport,org.eclipse
- .core.runtime;bundle-version="3.10.0";visibility:=reexport,org.txm.le
- xicaltable.core;bundle-version="1.0.0";visibility:=reexport,org.txm.i
- ndex.core;bundle-version="1.0.0";visibility:=reexport,org.txm.statsen
- gine.core;bundle-version="1.0.0";visibility:=reexport,org.txm.statsen
- gine.r.core;bundle-version="1.0.0";visibility:=reexport,org.txm.searc
- hengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,org.txm.
- core;bundle-version="0.7.0";visibility:=reexport,org.txm.statsengine.
- r.rcp;visibility:=reexport,org.txm.specificities.core;visibility:=ree
- xport,org.txm.chartsengine.rcp;visibility:=reexport,org.txm.rcp;bundl
- e-version="0.7.8";visibility:=reexport,org.eclipse.core.expressions;b
- undle-version="3.4.600";visibility:=reexport,org.txm.lexicaltable.rcp
- ;visibility:=reexport,org.txm.chartsengine.core;visibility:=reexport
+Require-Bundle: org.txm.chartsengine.rcp;visibility:=reexport,
+ org.txm.lexicaltable.rcp;visibility:=reexport,
+ org.txm.specificities.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.specificities.rcp.adapters,org.txm.specificiti
  es.rcp.editors,org.txm.specificities.rcp.handlers,org.txm.specificiti
  es.rcp.messages,org.txm.specificities.rcp.preferences
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildTXMHTMLDoc.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildTXMHTMLDoc.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/setup/BuildTXMHTMLDoc.groovy	(revision 881)
@@ -1,3 +1,5 @@
+package org.txm.setup
+
 import java.io.File;
 
 import org.txm.macro.txt.SearchReplaceInDirectoryMacro;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordSegmenterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordSegmenterMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordSegmenterMacro.groovy	(revision 881)
@@ -1,4 +1,5 @@
 // STANDARD DECLARATIONS
+package org.txm.tal.stanford
 
 import org.kohsuke.args4j.*
 import groovy.transform.Field
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordTaggerMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordTaggerMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/tal/stanford/StanfordTaggerMacro.groovy	(revision 881)
@@ -1,3 +1,4 @@
+package org.txm.tal.stanford
 import edu.stanford.nlp.ling.*
 import edu.stanford.nlp.process.*
 import edu.stanford.nlp.tagger.maxent.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/GroovyVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/GroovyVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/GroovyVersionMacro.groovy	(revision 881)
@@ -1,5 +1,5 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 println GroovySystem.version
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavascriptVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavascriptVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavascriptVersionMacro.groovy	(revision 881)
@@ -1,7 +1,7 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 import javax.script.*
 
 manager = new ScriptEngineManager()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/XSLTVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/XSLTVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/XSLTVersionMacro.groovy	(revision 881)
@@ -1,7 +1,7 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 import net.sf.saxon.Version
 
 println "XSLT "+Version.getXSLVersionString()+" ("+Version.getProductTitle()+" - "+Version.getReleaseDate()+")"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/OperatingSystemVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/OperatingSystemVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/OperatingSystemVersionMacro.groovy	(revision 881)
@@ -1,7 +1,7 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 System.properties.each { key, value ->
 	if (key ==~ /^os\..*/) {
 		println sprintf("%10s = %s", key, value)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavaVersionMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavaVersionMacro.groovy	(revision 880)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/debug/JavaVersionMacro.groovy	(revision 881)
@@ -1,5 +1,5 @@
 // Copyright © 2016 ENS de Lyon, CNRS, University of Franche-Comté
 // Licensed under the terms of the GNU General Public License (http://www.gnu.org/licenses)
 // @author sheiden
-
+package org.txm.macro.debug
 println System.properties.'java.version'
